Browse Source

chore(devx): Improve build for deploy.

jackyalcine 2 weeks ago
parent
commit
0838bba20f
2 changed files with 3 additions and 2 deletions
  1. 1
    1
      docker/scripts/pre-deploy.sh
  2. 2
    1
      scripts/prod-build.sh

+ 1
- 1
docker/scripts/pre-deploy.sh View File

@@ -32,7 +32,7 @@ else
32 32
 fi
33 33
 
34 34
 echo " ---> [deploy:pre] Pulling dependencies..."
35
-npm install -g npm@latest npx@latest parcel-bundler || exit 20
35
+npm install --force -g npm@latest npx@latest parcel-bundler || exit 20
36 36
 
37 37
 echo " ----> [deploy:pre] Fetching client dependencies..."
38 38
 npm install || exit 20

+ 2
- 1
scripts/prod-build.sh View File

@@ -1,6 +1,7 @@
1 1
 #!/usr/bin/env sh
2 2
 
3
-npx parcel build \
3
+npm install -g parcel-bundler
4
+parcel build \
4 5
   web/static/*css \
5 6
   web/static/js/*.ts \
6 7
   web/static/images/* \

Loading…
Cancel
Save